WHOIS
All operations require authentication.
Get RIPE informationProduction
Get RIPE information. Returns the netname and description registered for the block in the RIPE database, as shown in WHOIS.
Path parameters
IP (v4 or v6) CIDR notation (e.g., 192.0.2.0/24)
Response
IP RIPE description
IP RIPE netname
Example uses ip = 192.0.2.0/24
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ip/ {ip}/ ripe \
-H "authorization: Bearer $OVH_TOKEN"{ "description": "string", "netname": "string"}
Change the organizationProduction
Change the organization. Sets the RIR organization (from /me/ipOrganisation) on the block's registry record (async task).
Path parameters
IP (v4 or v6) CIDR notation (e.g., 192.0.2.0/24)
Request body (required)
Your organisation id (RIPE_XXXX) to add on block informations
Response
Details of this task
Destination for moveFloatingIp tasks
Completion date
Function name
arinBlockReassignchangeRipeOrgcheckAndReleaseIpgenericMoveFloatingIpsupernetByoipFailoverPartitioninglast update
Task Creation date
Task status
cancelledcustomerErrordoingdoneinitovhErrortodothe id of the task
Example uses ip = 192.0.2.0/24
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ip/ {ip}/ changeOrg \
-H "authorization: Bearer $OVH_TOKEN"{ "comment": "string", "destination": { "serviceName": "string" }, "doneDate": "2024-01-01T12:00:00Z", "function": "arinBlockReassign", "lastUpdate": "2024-01-01T12:00:00Z", "startDate": "2024-01-01T12:00:00Z", "status": "cancelled", "taskId": 0}
Update RIPE informationProduction
Update RIPE information. Changes the netname and description registered for the block in the RIPE database, as shown in WHOIS.
Path parameters
IP (v4 or v6) CIDR notation (e.g., 192.0.2.0/24)
Request body (required)
IP RIPE description
IP RIPE netname
Response
Example uses ip = 192.0.2.0/24
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ip/ {ip}/ ripe \
-H "authorization: Bearer $OVH_TOKEN"